Skip to content

Create project webhook​

POST
/v1/projects/{projectId}/hooks

Registers a new webhook endpoint for the project. Provide the desired event and HTTPS target URL; optionally include a secret for request signing.

Authorizations​

BearerAuth

API token provided in the Authorization header as a Bearer token.

Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"event": "feedback.created",
  
"target_url": "https://example.com/webhook",
  
"secret": "MYSECRETTOKEN"
}

Responses​

Webhook successfully created.

application/json
JSON
{
  
"id": "019a77e7-5105-774f-ac0b-1b9b18f8366a",
  
"event": "feedback.created",
  
"target_url": "https://example.com/webhook",
  
"active": true,
  
"created_at": "2025-11-12T11:50:39.000Z"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI